org.apache.pdfbox.cos

## Interface COSUpdateInfo

All Superinterfaces:
  COSObjectable

All Known Implementing Classes:
  COSArray, COSDictionary, COSObject, COSStream

    public interface COSUpdateInfo
    extends COSObjectable

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`COSUpdateState` `getUpdateState()` Returns the current `COSUpdateState` of this `COSUpdateInfo`.
`default boolean` `isNeedToBeUpdated()` Get the update state for the COSWriter.
`default void` `setNeedToBeUpdated(boolean flag)` Set the update state of the dictionary for the COSWriter.
`default COSIncrement` `toIncrement()` Uses this `COSUpdateInfo` as the base object of a new `COSIncrement`.

### Methods inherited from interface org.apache.pdfbox.pdmodel.common.COSObjectable

`getCOSObject`

### Method Detail

#### isNeedToBeUpdated

    default boolean isNeedToBeUpdated()

Get the update state for the COSWriter. This indicates whether an object is to be written when there is an incremental save.

Returns:
  the update state.

#### setNeedToBeUpdated

    default void setNeedToBeUpdated(boolean flag)

Set the update state of the dictionary for the COSWriter. This indicates whether an object is to be written when there is an incremental save.

Parameters:
  `flag` - the update state.

#### toIncrement

    default COSIncrement toIncrement()

Uses this `COSUpdateInfo` as the base object of a new `COSIncrement`.

Returns:
  A `COSIncrement` based on this `COSUpdateInfo`.
See Also:
  `COSIncrement`

#### getUpdateState

    COSUpdateState getUpdateState()

Returns the current `COSUpdateState` of this `COSUpdateInfo`.

Returns:
  The current `COSUpdateState` of this `COSUpdateInfo`.
See Also:
  `COSUpdateState`